Last modified: 2014-09-29 21:40:10 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 71141 - Fix action=history for mw.ui
Fix action=history for mw.ui
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
MediaWiki UI (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Prateek Saxena
:
Depends on:
Blocks: 16165 70913
  Show dependency treegraph
 
Reported: 2014-09-22 21:13 UTC by Prateek Saxena
Modified: 2014-09-29 21:40 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Prateek Saxena 2014-09-22 21:13:48 UTC
- The input field needs to be inpul-lined
- Fix alignment of <select>
- Use mw-ui-constructive for "Go" button
- Use mw-ui-neutral for "Compare selected revisions" button
Comment 1 Matthew Flaschen 2014-09-24 05:28:43 UTC
(In reply to Prateek Saxena from comment #0)
> - Use mw-ui-constructive for "Go" button

Why is this mw-ui-constructive whereas bug 71141 ("Use mediawiki.ui elements on Special:Contributions") says, "search button should be progressive"?

They're both very similar in that they return a list of edits.
Comment 2 Prateek Saxena 2014-09-24 21:31:22 UTC
(In reply to Matthew Flasched from comment #1)

> Why is this mw-ui-constructive whereas bug 71141 
> says, "search button should be progressive"?

I think you mean bug 71137. Yes, you are right it should be progressive. Sorry for the confusion.
Comment 3 Gerrit Notification Bot 2014-09-25 01:46:57 UTC
Change 162808 had a related patch set uploaded by Prtksxna:
HistoryAction: Use correct classes for buttons

https://gerrit.wikimedia.org/r/162808
Comment 4 Gerrit Notification Bot 2014-09-29 21:34:21 UTC
Change 162808 merged by jenkins-bot:
HistoryAction: Use correct classes for buttons

https://gerrit.wikimedia.org/r/162808

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links